package printeventsA
{
	function GameConnection::AutoAdminCheck(%client)
	{
		if($LOADEDPRINTS != 1)
		{
			%list = "LIST None -1";
			for(%i=0;%i<getNumPrintTextures();%i++)
			{
				if(%i < $printARStartLetters || %i > $printAREndLetters)
				{
					%list = %list SPC filebase(getPrintTexture(%i)) SPC %i;
				}
			}
			registerOutputEvent("fxDTSBrick", "setPrint", "string 1 19" TAB %list, 0);
			$LOADEDPRINTS = 1;
		}
		Parent::AutoAdminCheck(%client);
	}
	function FxDTSBrick::setPrint(%this,%print,%printid)
	{
		if(%printID $= "")
		{
			Parent::setPrint(%this,%print);
			return;
		}
		if(%PrintID != -1)
		{
			%aspect = %this.getDatablock().printAspectRatio;
			for(%i = $printARStart[%aspect]; %i < $printAREnd[%aspect]; %i++)
			{
				if(%printID == %i)
				{
					Parent::setPrint(%this,%printid);
					return;
				}
			}
			%printid = -1;
		}
		if(%printID == -1)
		{
			switch$(%print)
			{
				case "":
					%print = "-space";
				case " ":
					%print = "-space";
				case "?":
					%print = "-qmark";
				case "&":
					%print = "-and";
				case "!":
					%print = "-bang";
				case "@":
					%print = "-at";
				case "*":
					%print = "-asterisk";
				case "'":
					%print = "-apostrophe";
				case "^":
					%print = "-caret";	
				case "$":
					%print = "-dollar";
				case "=":
					%print = "-equals";
				case ">":
					%print = "-greater_than";
				case "<":
					%print = "-less_than";
				case "-":
					%print = "-minus";
				case "%":
					%print = "-percent";
				case ".":
					%print = "-period";
				case "+":
					%print = "-plus";
				case "#":
					%print = "-pound";
				default:
					%print = %Print;
			}
			%printID = $printNameTableLetters["/" @ %print];
		}
		Parent::setPrint(%this,%printid);
	}
};
ActivatePackage(PrintEventsA);